## tracetuner 3.0.6~beta%2Bdfsg

=== src/Makefile ===
# Top level Makefile for TraceTuner source code
# Copyright (c) 2008 J. Craig Venter Institute

SUBDIRS = compute_qv mktrain mklut mkchk 

all:
	for dir in $(SUBDIRS); \
            do (cd $$dir; $(MAKE) $@); \
        done
	
clean:
	cd compute_qv; $(MAKE) clean
	cd mktrain; $(MAKE) clean
	cd mklut; $(MAKE) clean
	cd mkchk; $(MAKE) clean

=== src/mklut/Makefile ===
# *************************************************************************
#  This file is part of TraceTuner, the DNA sequencing quality value,
#  base calling and trace processing software.
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received (LICENSE.txt) a copy of the GNU General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# ************************************************************************/

#
# Copyright (c) 1999-2003 Paracel, Inc.  All rights reserved.
#
# $Id: Makefile,v 1.8 2008/11/27 13:03:32 gdenisov Exp $
#

include ../include.mk

.PHONY: all lut 
 
all:  lut 

lut:		$(RELDIR)/lut

INCTOOLSDIR = ../../..
INCJTCTTDIR = $(INCTOOLSDIR)/jtc_tt
INCDIR      = ../compute_qv
INCTRAINDIR = ../mktrain
CURDIR      = .
LIBS        = -lm -lz
INSTALLDIR  = /home/gdenisov/build
IOLIBDIR    = $(INSTALLDIR)/lib
INCIOLIBDIR = $(INSTALLDIR)/include/io_lib
INCCHKDIR   = ../mkchk

LUTOBJS		= $(OBJDIR)/lut.o $(OBJDIR)/select.o $(OBJDIR)/func_name.o \
                  $(OBJDIR)/get_thresholds.o $(OBJDIR)/check_data.o
TTLIB		= $(LIBDIR)/libtt.a
CFLAGS     += -I$(INCDIR)
CFLAGS     += -I$(INCTRAINDIR)
CFLAGS     += -I$(CURDIR)
CFLAGS     += -I$(INCIOLIBDIR) -I$(INCJTCTTDIR) -I$(CURDIR)
CFLAGS     += -I$(INCTOOLSDIR)/io_lib
CFLAGS     += -I$(INCTOOLSDIR)/io_lib/utils
CFLAGS     += -I$(INCCHKDIR)

$(OBJDIR)/%.o: $(INCCHKDIR)/%.c
	mkdir -p $(OBJDIR)
	$(COMPILE.c) $< -o $@

LINK.c = g++

$(RELDIR)/lut: $(LUTOBJS) $(TTLIB) 
	@mkdir -p $(RELDIR)
	$(LINK.c) $(LUTOBJS) -o $@ $(LIBS) $(TTLIB) $(IOLIB)

$(OBJDIR)/lut.o:	lut.c lut.h get_thresholds.h select.h func_name.h params.h \
			$(INCDIR)/Btk_atod.h $(INCDIR)/Btk_qv.h $(INCTRAINDIR)/train.h

$(DIRS):
	mkdir -p $@

clean:
	@/bin/rm -f $(LUTOBJS)
	@/bin/rm -f $(RELDIR)/lut

=== debian/control ===
Source: tracetuner
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/tracetuner
Vcs-Git: https://salsa.debian.org/med-team/tracetuner.git
Homepage: https://sourceforge.net/projects/tracetuner/

Package: tracetuner
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: interpretation of DNA Sanger sequencing data
 Tracetuner is a tool for base and quality calling of trace files from
 DNA sequencing instruments.
 Traditional DNA sequencing yields curves from four different 
 channels or light frequencies that human or (preferably) machines
 are interpreting to determine the actual base (A,C,G or T) and
 the confidence with which this is determined.
 .
 TraceTuner is a DNA sequencing quality value, base calling and trace
 processing software application originally developed by Paracel,
 Inc. While providing a flexible interface and capability to adopt
 the "pure" base calls produced by Phred, KB or any other "original"
 caller, it offers competitive features not currently available in other
 tools, such as customized calibration of quality values, advanced
 heterozygote and mixed base calling and deconvolving the "mixed"
 electropherograms resulting from the presence of indels into a couple of
 "pure" electropherograms.
 .
 Later versions
 Previous versions of TraceTuner were used by
 Celera Genomics to process over 27 million reads from both Drosophila
 and human genome projects.
 In 2000, Applied Biosystems
 bundled TraceTuner with ABI3700 Genome Analyzers and shipped it to the
 customers of these capillary electrophoresis sequencers.
 its SNP detection and genotyping software product SeqScape.
 .
 TraceTuner implements an advanced peak processing technology for resolving
 overlapping peaks of the same dye color into individual, or "intrinsic"
 peaks. TraceTuner, for its support of mixed base calling, have been used by
 the research community, the private biotech sector, and the U.S. government
 as components of different variant detection, genotyping and forensic
 software applications (e.g. Applied Biosystems SeqScape, Paracel Genome
 Assembler, MTexpert, etc.).
 .
 This technology was protected by US Patent #6,681,186. Currently,
 TraceTuner is an open source software, which has been used by J. Craig
 Venter Institute's DNA Sequencing and Resequencing pipelines.
 .
 This package prepares an important piece of human history to be used
 with new data on new machines or to revisit older observations..

## tracetuner 3.0.6~beta+dfsg

=== src/compute_qv/Makefile ===
# *************************************************************************
#  This file is part of TraceTuner, the DNA sequencing quality value,
#  base calling and trace processing software.
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received (LICENSE.txt) a copy of the GNU General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# ************************************************************************/
#
# Copyright (c) 1999-2003 Paracel, Inc.  All rights reserved.
#
# $Id: Makefile,v 1.9 2008/12/15 12:40:31 gdenisov Exp $
#
#  Makefile for main TraceTuner library and executable
#

include ../include.mk

OSNAME:="$(shell uname -s)"


.PHONY: all pure ttuner example ttuner.pure 


all:  ttuner 
pure: ttuner.pure

ttuner:          $(RELDIR)/ttuner
ttuner.pure:     $(RELDIR)/ttuner.pure
example:         $(RELDIR)/example

INCDIR      = ../mktrain
CURDIR      = .
QVLIB       = $(LIBDIR)/libtt.a
LIBS        = -lm
QVOBJS      = $(OBJDIR)/main.o
QVLIBSRCS   = $(OBJDIR)/Btk_match_data.c $(OBJDIR)/Btk_compute_match.c \
	      $(OBJDIR)/Btk_sw.c $(OBJDIR)/Btk_process_indels.c        \
	      $(OBJDIR)/Btk_atod.c $(OBJDIR)/Btk_compute_qv.c          \
              $(OBJDIR)/Btk_call_bases.c                               \
              $(OBJDIR)/Btk_process_raw_data.c                          \
	      $(OBJDIR)/util.c  $(OBJDIR)/nr.c			       \
              $(OBJDIR)/Btk_process_peaks.c $(OBJDIR)/Btk_qv_io.c      \
              $(OBJDIR)/Btk_compute_tp.c $(OBJDIR)/Btk_compute_tpars.c \
              $(OBJDIR)/Btk_get_mixed_bases.c                           \
              $(OBJDIR)/Btk_lookup_table.c $(OBJDIR)/Btk_qv_funs.c     \
              $(OBJDIR)/ABI_Toolkit.c                                  \
              $(OBJDIR)/Btk_default_table.c                            \
              $(OBJDIR)/FileHandler.c $(OBJDIR)/SCF_Toolkit.c          \
              $(OBJDIR)/context_table.c                                \
              $(OBJDIR)/tracepoly.c 				

QVLIBOBJS  = $(patsubst %.c,%.o,$(QVLIBSRCS))
EXAMPLEOBJS = $(OBJDIR)/example.o
CFLAGS	   += -I$(INCDIR) -DOS_NAME='$(OSNAME)'
CFLAGS	   += -I$(CURDIR)

$(RELDIR)/ttuner: $(QVOBJS) $(QVLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(QVOBJS) $(QVLIB) $(LIBS) -o $@

$(RELDIR)/example: $(EXAMPLEOBJS) $(QVLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(EXAMPLEOBJS) $(QVLIB) $(LIBS) -o $@

$(RELDIR)/ttuner.pure: $(QVOBJS) $(QVLIB)
	@mkdir -p $(RELDIR)
	$(PURIFY) $(LINK.c) $(QVOBJS) $(QVLIB) $(LIBS) -o $@

$(QVLIB): $(QVLIBOBJS)
	@mkdir -p $(LIBDIR)
	$(AR) rc $@ $(QVLIBOBJS)

$(DIRS):
	mkdir -p $@

clean:
	@/bin/rm -f $(EXAMPLEOBJS) $(QVOBJS) $(CHECKORDEROBJS)
	@/bin/rm -f $(QVLIBOBJS) $(QVLIB)
	@/bin/rm -f $(RELDIR)/qvdata.pure 
	@/bin/rm -f $(RELDIR)/ttuner.pure
	@/bin/rm -f $(RELDIR)/qvdata  $(RELDIR)/ttuner 
	@/bin/rm -f $(RELDIR)/get_default_lut.perl
	@/bin/rm -f $(RELDIR)/get_context.perl
	@/bin/rm -f $(RELDIR)/lut_to_default_lut.perl         
        

#depend:
#	$(CC) $(INCLUDE) -M $(SOURCES) > depend.mk

# The rule to make Btk_match_data.o, Btk_sw.o, Btk_compute_match.o
# It is not the same as the rule for the other object files, because
# the source code of these 3 object files are located in a different
# directory.
$(OBJDIR)/%.o: $(INCDIR)/%.c 
	mkdir -p $(OBJDIR)
	$(COMPILE.c) $< -o $@
$(OBJDIR)/Btk_match_data.o: Btk_qv.h util.h $(INCDIR)/Btk_match_data.h
$(OBJDIR)/Btk_sw.o: Btk_qv.h util.h Btk_qv_data.h
$(OBJDIR)/Btk_sw.o: $(INCDIR)/Btk_sw.h $(INCDIR)/Btk_match_data.h
$(OBJDIR)/Btk_compute_match.o: Btk_qv.h util.h Btk_qv_data.h
$(OBJDIR)/Btk_compute_match.o: $(INCDIR)/Btk_sw.h $(INCDIR)/Btk_match_data.h
$(OBJDIR)/Btk_compute_match.o: $(INCDIR)/Btk_compute_match.h

# The rule to make the other object files whose source code are located
# in the current directory.
$(OBJDIR)/%.o: %.c
	mkdir -p $(OBJDIR)
	$(COMPILE.c) $< -o $@
$(OBJDIR)/example.o: example.c Btk_lookup_table.h Btk_qv_io.h
$(OBJDIR)/ABI_Toolkit.o: ABI_Toolkit.h
$(OBJDIR)/SCF_Toolkit.o: ABI_Toolkit.h SCF_Toolkit.h 
$(OBJDIR)/Btk_call_bases.o: Btk_qv.h util.h Btk_qv_data.h
$(OBJDIR)/Btk_call_bases.o: Btk_qv_funs.h Btk_process_peaks.h Btk_call_bases.h
$(OBJDIR)/Btk_call_bases.o: context_table.h Btk_lookup_table.h
$(OBJDIR)/Btk_call_bases.o: tracepoly.h
$(OBJDIR)/Btk_call_bases.o: Btk_qv_data.h
$(OBJDIR)/Btk_process_raw_data.o: Btk_process_raw_data.h Btk_qv.h
$(OBJDIR)/Btk_compute_qv.o: Btk_qv.h util.h Btk_lookup_table.h
$(OBJDIR)/Btk_compute_qv.o: Btk_qv_data.h Btk_compute_qv.h Btk_compute_tpars.h
$(OBJDIR)/Btk_compute_qv.o: Btk_atod.h Btk_default_table.h
$(OBJDIR)/Btk_compute_tp.o: Btk_qv.h util.h Btk_qv_data.h
$(OBJDIR)/Btk_compute_tp.o: Btk_lookup_table.h Btk_compute_qv.h 
$(OBJDIR)/Btk_compute_tp.o: Btk_compute_tp.h
$(OBJDIR)/Btk_compute_tp.o: Btk_qv_funs.h Btk_process_peaks.h Btk_call_bases.h
$(OBJDIR)/Btk_compute_tpars.o: Btk_qv.h util.h Btk_lookup_table.h
$(OBJDIR)/Btk_compute_tpars.o: Btk_qv_data.h Btk_process_peaks.h 
$(OBJDIR)/Btk_compute_tpars.o: Btk_call_bases.h
$(OBJDIR)/Btk_compute_tpars.o: Btk_compute_tp.h Btk_atod.h Btk_compute_tpars.h
$(OBJDIR)/Btk_compute_tpars.o: Btk_qv_data.h
$(OBJDIR)/Btk_default_table.o: Btk_lookup_table.h
$(OBJDIR)/Btk_lookup_table.o: Btk_qv.h Btk_lookup_table.h
$(OBJDIR)/Btk_lookup_table.o: Btk_atod.h
$(OBJDIR)/context_table.o: context_table.h
$(OBJDIR)/tracepoly.o: tracepoly.h
$(OBJDIR)/Btk_process_peaks.o: Btk_qv_funs.h Btk_process_peaks.h
$(OBJDIR)/Btk_process_peaks.o: Btk_qv_data.h
$(OBJDIR)/Btk_qv_io.o: FileHandler.h Btk_qv.h util.h Btk_qv_io.h 
$(OBJDIR)/Btk_qv_io.o: ABI_Toolkit.h SCF_Toolkit.h
$(OBJDIR)/Btk_qv_io.o: $(INCDIR)/Btk_match_data.h
$(OBJDIR)/Btk_qv_io.o: $(INCDIR)/Btk_compute_match.h
$(OBJDIR)/Btk_qv_io.o: Btk_qv_data.h
$(OBJDIR)/FileHandler.o: ABI_Toolkit.h SCF_Toolkit.h
$(OBJDIR)/FileHandler.o: FileHandler.h
$(OBJDIR)/Btk_qv_funs.o: Btk_qv_funs.h 
$(OBJDIR)/Btk_qv_funs.o: Btk_qv_data.h 
$(OBJDIR)/main.o: ABI_Toolkit.h FileHandler.h Btk_qv.h util.h Btk_qv_data.h
$(OBJDIR)/main.o: Btk_lookup_table.h Btk_compute_qv.h Btk_qv_io.h

=== src/mkchk/Makefile ===
#
# Copyright (c) 1999-2003 Paracel, Inc.  All rights reserved.
#
# $Id: Makefile,v 1.8 2009/01/05 22:45:12 gdenisov Exp $                   
#


include ../include.mk

.PHONY: all checkqv checkbc checkbcphd checkqvphd
 
all:  checkbc checkqv checkbcphd checkqvphd 

checkqv:	$(RELDIR)/checkqv
checkbc:	$(RELDIR)/checkbc
checkbcphd:	$(RELDIR)/checkbcphd
checkqvphd:	$(RELDIR)/checkqvphd

INCTOOLSDIR = ../../..
INCJTCTTDIR = $(INCTOOLSDIR)/jtc_tt
INCDIR      = ../compute_qv
INCTRAINDIR = ../mktrain
INCLUTDIR   = ../mklut
CURDIR      = .
LIBS        = -lm -lz

CHECKQVOBJS	= $(OBJDIR)/checkqv.o $(OBJDIR)/check_data.o
CHECKBCOBJS	= $(OBJDIR)/checkbc.o $(OBJDIR)/check_data.o
CHECKBCPHDOBJS	= $(OBJDIR)/checkbcphd.o $(OBJDIR)/check_data.o
CHECKQVPHDOBJS		= $(OBJDIR)/checkqvphd.o $(OBJDIR)/check_data.o
TTLIB		= $(LIBDIR)/libtt.a
CFLAGS     += -I$(INCDIR)
CFLAGS     += -I$(INCTRAINDIR)
CFLAGS     += -I$(INCLUTDIR)
CFLAGS     += -I$(CURDIR)
CFLAGS     += -I$(INCIOLIBDIR) -I$(INCJTCTTDIR) -I$(CURDIR)
CFLAGS     += -I$(INCTOOLSDIR)/io_lib
CFLAGS     += -I$(INCTOOLSDIR)/io_lib/utils

LINK.c = g++

$(RELDIR)/checkqv: $(CHECKQVOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(CHECKQVOBJS) $(TTLIB) $(LIBS) -o $@ $(LIBS) $(TTLIB) $(IOLIB)

$(RELDIR)/checkbc: $(CHECKBCOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(CHECKBCOBJS) $(TTLIB) $(LIBS) -o $@ $(LIBS) $(TTLIB) $(IOLIB)

$(RELDIR)/checkbcphd: $(CHECKBCPHDOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(CHECKBCPHDOBJS) $(TTLIB) $(LIBS) -o $@ $(LIBS) $(TTLIB) $(IOLIB)

$(RELDIR)/checkqvphd: $(CHECKQVPHDOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(CHECKQVPHDOBJS) $(TTLIB) $(LIBS) -o $@ $(LIBS) $(TTLIB) $(IOLIB)

$(OBJDIR)/check_data.o: check_data.c $(INCLUTDIR)/lut.h\
                        $(INCDIR)/Btk_atod.h $(INCDIR)/Btk_qv.h \
                        $(INCDIR)/Btk_lookup_table.h \
                        check_data.h

$(OBJDIR)/checkqv.o:	checkqv.c $(INCLUTDIR)/lut.h\
			$(INCDIR)/Btk_atod.h $(INCDIR)/Btk_qv.h\
			$(INCDIR)/Btk_lookup_table.h $(INCTRAINDIR)/train.h \
                        check_data.h

$(OBJDIR)/checkbc.o:	checkbc.c $(INCLUTDIR)/lut.h\
			$(INCDIR)/Btk_atod.h $(INCDIR)/Btk_qv.h \
			$(INCDIR)/Btk_lookup_table.h check_data.h

$(OBJDIR)/checkqvphd.o:	checkqvphd.c $(INCLUTDIR)/lut.h\
			$(INCDIR)/Btk_atod.h $(INCDIR)/Btk_qv.h \
			$(INCDIR)/Btk_lookup_table.h

$(OBJDIR)/checkbcphd.o: checkbcphd.c \
			$(INCDIR)/Btk_atod.h $(INCDIR)/Btk_qv.h \
			$(INCDIR)/Btk_lookup_table.h  check_data.h

$(DIRS):
	mkdir -p $@

clean:
	@/bin/rm -f $(CHECKQVOBJS) $(CHECKBCOBJS) $(CHECKBCPHDOBJS) $(CHECKQVPHDOBJS)
	@/bin/rm -f $(RELDIR)/checkbc $(RELDIR)/checkqv 
	@/bin/rm -f $(RELDIR)/checkbcphd $(RELDIR)/checkqvphd

=== src/mktrain/Makefile ===
#**************************************************************************
#  This file is part of TraceTuner, the DNA sequencing quality value,
#  base calling and trace processing software.
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received (LICENSE.txt) a copy of the GNU General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#*************************************************************************
#
# Copyright (c) 1999-2003 Paracel, Inc.  All rights reserved.
#
# $Id: Makefile,v 1.9 2008/12/16 12:13:51 gdenisov Exp $                  
#

include ../include.mk

.PHONY: all pure train trainphd train.pure trainphd.pure

all:  train trainphd 

train:                $(RELDIR)/train
trainphd:             $(RELDIR)/trainphd
train.pure:           $(RELDIR)/train.pure
trainphd.pure:        $(RELDIR)/trainphd.pure

INCDIR      = ../compute_qv
CURDIR      = .
TTLIB       =  $(LIBDIR)/libtt.a
LIBS        = -lm
TRAINOBJS   =  $(OBJDIR)/train.o $(OBJDIR)/train_data.o\
               $(OBJDIR)/Btk_compute_match.o \
	       $(OBJDIR)/Btk_match_data.o $(OBJDIR)/Btk_sw.o
TRAINPHREDOBJS=$(OBJDIR)/trainphd.o $(OBJDIR)/train_data.o\
               $(OBJDIR)/Btk_compute_match.o \
	       $(OBJDIR)/Btk_match_data.o $(OBJDIR)/Btk_sw.o
CFLAGS     += -I$(INCDIR)
CFLAGS     += -I$(CURDIR)

$(RELDIR)/train: $(TRAINOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(TRAINOBJS) $(TTLIB) $(LIBS) -o $@

$(RELDIR)/trainphd: $(TRAINPHREDOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(LINK.c) $(TRAINPHREDOBJS) $(TTLIB) $(LIBS) -o $@

$(RELDIR)/train.pure: $(TRAINOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(PURIFY) $(LINK.c) $(TRAINOBJS) $(TTLIB) $(LIBS) -o $@

$(RELDIR)/trainphd.pure: $(TRAINPHREDOBJS) $(TTLIB)
	@mkdir -p $(RELDIR)
	$(PURIFY) $(LINK.c) $(TRAINPHREDOBJS) $(TTLIB) $(LIBS) -o $@

$(OBJDIR)/Btk_match_data.o: Btk_match_data.c \
	Btk_match_data.h $(INCDIR)/Btk_qv.h $(INCDIR)/util.h 

$(OBJDIR)/Btk_sw.o: Btk_sw.c \
	Btk_sw.h $(INCDIR)/Btk_qv.h $(INCDIR)/util.h \
	$(INCDIR)/Btk_qv_data.h Btk_match_data.h \
	Btk_sw.h 

$(OBJDIR)/Btk_compute_match.o: Btk_compute_match.c \
	Btk_compute_match.h $(INCDIR)/Btk_qv.h $(INCDIR)/util.h \
	$(INCDIR)/Btk_qv_data.h Btk_match_data.h \
	Btk_sw.h

$(OBJDIR)/train.o:  train.c train_data.c \
        $(INCDIR)/ABI_Toolkit.h $(INCDIR)/FileHandler.h \
	$(INCDIR)/Btk_qv.h $(INCDIR)/Btk_qv_data.h $(INCDIR)/Btk_lookup_table.h\
	$(INCDIR)/Btk_compute_tpars.h $(INCDIR)/util.h \
	Btk_compute_match.h Btk_match_data.h $(INCDIR)/Btk_get_mixed_bases.h \
	Btk_sw.h 

$(OBJDIR)/trainphd.o:  trainphd.c train_data.c \
        $(INCDIR)/ABI_Toolkit.h $(INCDIR)/FileHandler.h \
	$(INCDIR)/Btk_qv.h $(INCDIR)/Btk_qv_data.h $(INCDIR)/Btk_lookup_table.h\
	$(INCDIR)/Btk_compute_tpars.h $(INCDIR)/util.h $(INCDIR)/Btk_qv_io.h\
	Btk_compute_match.h Btk_match_data.h \
	Btk_sw.h 

$(DIRS):
	mkdir -p $@

clean:
	@/bin/rm -f $(TRAINOBJS)
	@/bin/rm -f $(TRAINPHREDOBJS)
	@/bin/rm -f $(RELDIR)/train.pure
	@/bin/rm -f $(RELDIR)/trainphd.pure
	@/bin/rm -f $(RELDIR)/train
	@/bin/rm -f $(RELDIR)/trainphd

=== debian/changelog ===
tracetuner (3.0.6~beta+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup FTBFS with gcc-15 (Closes: #1098011)
  * Extend fix_format_security.patch to trainphd.c

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Sep 2025 00:59:49 +0530

tracetuner (3.0.6~beta+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 23:43:55 +0100

tracetuner (3.0.6~beta+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Do not hard code build architecture compiler
    Closes: #926607

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 10 Apr 2019 14:47:38 +0200

tracetuner (3.0.6~beta+dfsg-1) unstable; urgency=medium

  * Team upload
  * Initial release (Closes: #911850)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Oct 2018 20:36:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/tracetuner
 Vcs-Git: https://salsa.debian.org/med-team/tracetuner.git
 Homepage: https://sourceforge.net/projects/tracetuner/
+Rules-Requires-Root: no
 
 Package: tracetuner
 Architecture: any
@@ -17,7 +18,7 @@
 Description: interpretation of DNA Sanger sequencing data
  Tracetuner is a tool for base and quality calling of trace files from
  DNA sequencing instruments.
- Traditional DNA sequencing yields curves from four different 
+ Traditional DNA sequencing yields curves from four different
  channels or light frequencies that human or (preferably) machines
  are interpreting to determine the actual base (A,C,G or T) and
  the confidence with which this is determined.

=== debian/watch ===
version=4

opts="uversionmangle=s%(\d[\d.]*)(alpha|beta)%$1~$2%,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  http://sf.net/tracetuner/ tracetuner_(.*)\.tar\.bz2
